# Get deploy events

`GET https://api.instacloud.com/projects/{projectId}/deploy-events`

**Token scope:** `account` · `org` · `project` — read-only tokens allowed.

Deploy events for a compute service (machine lifecycle events; compute and managed databases)

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `component` | query | `"compute" \| "redis" \| "mysql" \| "mongodb"` | no | service type (default 'compute'); 'db' has no machines and is invalid here |
| `branch` | query | `string` | no |  |
| `group` | query | `string` | no | service group (default: the branch's sole service of the component type, else 'default') |
| `limit` | query | `integer` | no |  |
| `instance` | query | `string` | no | limit to a single machine id |
| `projectId` | path | `string` | yes |  |

## Response 200

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `source` | `string` | no |  |
| `events` | `object[]` | no |  |
| `events.ts` | `string` | no |  |
| `events.type` | `string` | no |  |
| `events.status` | `string` | no |  |
| `events.origin` | `string` | no | event source as the compute plane reports it |
| `events.instance` | `string` | no | machine id |
| `note` | `string` | no |  |

## Response 400

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |

## Response 404

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |
